.angular-ui-tree {
}

.angular-ui-tree-empty {
    border: 1px dashed #bbb;
    min-height: 100px;
    background-color: #e5e5e5;
    background-image: -webkit-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff), -webkit-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
    background-image: -moz-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff), -moz-linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
    background-image: linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff), linear-gradient(45deg, #fff 25%, transparent 25%, transparent 75%, #fff 75%, #fff);
    background-size: 60px 60px;
    background-position: 0 0, 30px 30px;
}

.angular-ui-tree-nodes {
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
}

.angular-ui-tree-nodes .angular-ui-tree-nodes {
    padding-left: 25px;
}

.angular-ui-tree-node, .angular-ui-tree-placeholder {
    position: relative;
    margin-left: 25px;
    padding: 0;
    min-height: 20px;
    line-height: 20px;
    overflow:visible;
}

.angular-ui-tree-hidden {
    display: none;
}

.angular-ui-tree-placeholder {
    margin: 5px 0;
    padding: 0;
    min-height: 30px;
}

.angular-ui-tree-handle {
    /*background: #f8faff;*/
    /*color: #7c9eb2;*/
    border: 1px solid #dae2ea;
    border-color: #007AFF;
    padding: 10px 10px;
    cursor: pointer;
    text-decoration: none;
    /*font-weight: bold;*/
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    min-height: 20px;
    line-height: 20px;
}

.angular-ui-tree-drag {
    position: absolute;
    pointer-events: none;
    z-index: 999;
    opacity: .8;
}

.angular-ui-tree-handle:hover {
    color: #000;
    background: #F6FAFF;
    border-color: #ACF;
}

.angular-ui-tree-placeholder {
    background: #f0f9ff;
    border: 2px dashed #007AFF;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

tr.angular-ui-tree-empty {
    height:100px
}

.group-title {
    background-color: #687074 !important;
    color: #FFF !important;
}


/* --- Tree --- */
.tree-node {
    border: 1px solid #dae2ea;
    /*background: #f8faff;*/
    /*color: #7c9eb2;*/
}

.tree-node > .tree-content-wrapper {
    display:block;
    position:relative;
    overflow:hidden;
    height:40px;
}

.tree-node > .tree-content-wrapper > .content-btn-mod {
    position:absolute;
    color: #CDE;
    top:50%;
    margin-top: -0.8em;
    right: 0;
}

.tree-node > .tree-content-wrapper > .content-btn-mod >a {
    margin: 0 10px 0 10px;
    overflow: hidden;
}
.tree-node > .tree-content-wrapper > .content-btn > a{
    margin: 0 10px 0 10px;
    overflow: hidden;
}

.nodrop {
    background-color: #f2dede;
}

.tree-node-content {
    margin: 10px 10px 0 25px;
}
.tree-node-content-first {
    margin: 10px 10px 0 0;
    height:40px;
}
.tree-handle {
    padding: 10px;
    background: #428bca;
    color: #FFF;
    margin-right: 10px;
}
.tree-add-module{
    border: 1px solid;
    overflow: hidden;
    margin: 0px 10px 0 75px;
    background: #FFF;
    border-color: #dce2e8;
    padding:10px;
    color:#44CCAA;
}

.tree-add-module-hover{
    border: 1px solid ;
    overflow: hidden;
    margin: 0px 10px 0 75px;
    background: #F6FAFF;
    border-color: #ACF;
    padding:10px;
    color:#44CCAA;
}

.tree-add-module > img {
    vertical-align: middle;
    cursor: pointer;
}

.tree-add-module-wrapper{
    position:relative;
    padding-top: 10px;
}

.tree-add-module-wrapper > .box {
    position: absolute;
    width:25px;
    height:30px;
    border-left:1px #DDD dashed;
    border-bottom: 1px #DDD dashed;
    top:0;
    left:50px;
}

.tree-add-module-wrapper> .box-extended {
    position: absolute;
    width:25px;
    height:90px;
    border-left:1px #DDD dashed;
    border-bottom: 1px #DDD dashed;
    top:0;
    left:50px;
}



.clearspan {
    clear:both;
    display: block;
}

.vertical-line{
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    border-left: 1px #DDD dashed;
}

.horizontal-line{
    width: 25px;
    height: 40px;
    border-bottom: 1px #DDD dashed;
    border-left: 1px #DDD dashed;
    position: absolute;
    top: -10px;
    left: 0;
}

.tree-node > a > span > img {
    vertical-align: middle;
    cursor: pointer;
}

.tree-wrapper {
    position: relative;
}
.tree-wrapper> ol {
    -webkit-padding-start: 0;
}

.btn-edit {
    display: inline-block;
    background-color: #007AFF;
    color: #FFF;
    line-height: 20px;
    height: 20px;
    padding: 0 10px;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    font-weight: normal;
}

.tree-list {
    list-style: none;
    margin-left: 0;
}